Interface ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder
-
- All Superinterfaces:
org.apache.camel.builder.EndpointConsumerBuilder,org.apache.camel.EndpointConsumerResolver
- All Known Subinterfaces:
ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder
- Enclosing interface:
- ResteasyEndpointBuilderFactory
public static interface ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder extends org.apache.camel.builder.EndpointConsumerBuilderBuilder for endpoint consumers for the Resteasy component.
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderadvanced()default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderasync(boolean async)Configure the consumer to work in async mode.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderasync(String async)Configure the consumer to work in async mode.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderdisableStreamCache(boolean disableStreamCache)Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderdisableStreamCache(String disableStreamCache)Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderhttpMethodRestrict(String httpMethodRestrict)Used to only allow consuming if the HttpMethod matches, such as GET/POST/PUT etc.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuildermuteException(boolean muteException)If enabled and an Exchange failed processing on the consumer side the response's body won't contain the exception's stack trace.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuildermuteException(String muteException)If enabled and an Exchange failed processing on the consumer side the response's body won't contain the exception's stack trace.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderpassword(String password)Sets the password.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderproxyClientClass(String proxyClientClass)Sets the resteasy proxyClientClass.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderresponseBufferSize(Integer responseBufferSize)To use a custom buffer size on the javax.servlet.ServletResponse.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderresponseBufferSize(String responseBufferSize)To use a custom buffer size on the javax.servlet.ServletResponse.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderresteasyMethod(String resteasyMethod)Sets the resteasy method to process the request.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderservletName(String servletName)Sets the servlet name.default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilderusername(String username)Sets the username.
-
-
-
Method Detail
-
advanced
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilder advanced()
-
disableStreamCache
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder disableStreamCache(boolean disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache. By default Camel will cache the Servlet input stream to support reading it multiple times to ensure it Camel can retrieve all data from the stream. However you can set this option to true when you for example need to access the raw stream, such as streaming it directly to a file or other persistent store. DefaultHttpBinding will copy the request input stream into a stream cache and put it into message body if this option is false to support reading the stream multiple times. If you use Servlet to bridge/proxy an endpoint then consider enabling this option to improve performance, in case you do not need to read the message payload multiple times. The http producer will by default cache the response body stream. If setting this option to true, then the producers will not cache the response body stream but use the response stream as-is as the message body. The option is a: <code>boolean</code> type. Default: false Group: common- Parameters:
disableStreamCache- the value to set- Returns:
- the dsl builder
-
disableStreamCache
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder disableStreamCache(String disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached or not (Camel will read the stream into a in memory/overflow to file, Stream caching) cache. By default Camel will cache the Servlet input stream to support reading it multiple times to ensure it Camel can retrieve all data from the stream. However you can set this option to true when you for example need to access the raw stream, such as streaming it directly to a file or other persistent store. DefaultHttpBinding will copy the request input stream into a stream cache and put it into message body if this option is false to support reading the stream multiple times. If you use Servlet to bridge/proxy an endpoint then consider enabling this option to improve performance, in case you do not need to read the message payload multiple times. The http producer will by default cache the response body stream. If setting this option to true, then the producers will not cache the response body stream but use the response stream as-is as the message body. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Parameters:
disableStreamCache- the value to set- Returns:
- the dsl builder
-
resteasyMethod
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder resteasyMethod(String resteasyMethod)
Sets the resteasy method to process the request. The option is a: <code>java.lang.String</code> type. Default: GET Group: common- Parameters:
resteasyMethod- the value to set- Returns:
- the dsl builder
-
servletName
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder servletName(String servletName)
Sets the servlet name. The option is a: <code>java.lang.String</code> type. Group: common- Parameters:
servletName- the value to set- Returns:
- the dsl builder
-
async
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder async(boolean async)
Configure the consumer to work in async mode. The option is a: <code>boolean</code> type. Default: false Group: consumer- Parameters:
async- the value to set- Returns:
- the dsl builder
-
async
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder async(String async)
Configure the consumer to work in async mode. The option will be converted to a <code>boolean</code> type. Default: false Group: consumer- Parameters:
async- the value to set- Returns:
- the dsl builder
-
httpMethodRestrict
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder httpMethodRestrict(String httpMethodRestrict)
Used to only allow consuming if the HttpMethod matches, such as GET/POST/PUT etc. Multiple methods can be specified separated by comma. The option is a: <code>java.lang.String</code> type. Group: consumer- Parameters:
httpMethodRestrict- the value to set- Returns:
- the dsl builder
-
muteException
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder muteException(boolean muteException)
If enabled and an Exchange failed processing on the consumer side the response's body won't contain the exception's stack trace. The option is a: <code>boolean</code> type. Default: false Group: consumer- Parameters:
muteException- the value to set- Returns:
- the dsl builder
-
muteException
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder muteException(String muteException)
If enabled and an Exchange failed processing on the consumer side the response's body won't contain the exception's stack trace. The option will be converted to a <code>boolean</code> type. Default: false Group: consumer- Parameters:
muteException- the value to set- Returns:
- the dsl builder
-
responseBufferSize
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder responseBufferSize(Integer responseBufferSize)
To use a custom buffer size on the javax.servlet.ServletResponse. The option is a: <code>java.lang.Integer</code> type. Group: consumer- Parameters:
responseBufferSize- the value to set- Returns:
- the dsl builder
-
responseBufferSize
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder responseBufferSize(String responseBufferSize)
To use a custom buffer size on the javax.servlet.ServletResponse. The option will be converted to a <code>java.lang.Integer</code> type. Group: consumer- Parameters:
responseBufferSize- the value to set- Returns:
- the dsl builder
-
proxyClientClass
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder proxyClientClass(String proxyClientClass)
Sets the resteasy proxyClientClass. The option is a: <code>java.lang.String</code> type. Group: proxy- Parameters:
proxyClientClass- the value to set- Returns:
- the dsl builder
-
password
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder password(String password)
Sets the password. The option is a: <code>java.lang.String</code> type. Group: security- Parameters:
password- the value to set- Returns:
- the dsl builder
-
username
default ResteasyEndpointBuilderFactory.ResteasyEndpointConsumerBuilder username(String username)
Sets the username. The option is a: <code>java.lang.String</code> type. Group: security- Parameters:
username- the value to set- Returns:
- the dsl builder
-
-